/*===========================================================================*/
/*   (Ieee/flonum.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Ieee/flonum.scm -indent -o objs/obj_u/Ieee/flonum.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

BGL_EXPORTED_DECL double BGl_sqrtflzd2urzd2zz__r4_numbers_6_5_flonumz00(double);
BGL_EXPORTED_DECL obj_t BGl_floatzd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(float);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL double BGl_atanflz00zz__r4_numbers_6_5_flonumz00(double, obj_t);
extern obj_t the_failure(obj_t, obj_t, obj_t);
static obj_t BGl__zf2fl1638zf2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_doublezd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl__cosfl1668z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_realzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t);
static obj_t BGl__tanfl1670z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_remainderflz00zz__r4_numbers_6_5_flonumz00(double, double);
static obj_t BGl__logfl1664z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double);
BGL_EXPORTED_DECL double BGl_minzd22flzd2zz__r4_numbers_6_5_flonumz00(double, double);
extern obj_t bgl_double_to_ieee_string(double);
BGL_EXPORTED_DECL double BGl_maxzd22flzd2zz__r4_numbers_6_5_flonumz00(double, double);
static obj_t BGl__ze3fl1620ze3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
static obj_t BGl__floatzd2ze3ieeezd2string1704ze3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
static obj_t BGl__minfl1648z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
static obj_t BGl__expfl1662z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
static obj_t BGl__zd2fl1634zd2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
static obj_t BGl__zd3fl1616zd3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_sinflz00zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl__minzd22fl1646zd2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
static obj_t BGl__realzd2ze3ieeezd2string1696ze3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_zc3zd3flz10zz__r4_numbers_6_5_flonumz00(double, double);
static obj_t BGl__ceilingfl1654z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_asinflz00zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl__ieeezd2stringzd2ze3real1694ze3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
static obj_t BGl__zc3fl1618zc3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_negativeflzf3zf3zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl__floorfl1652z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_atanzd22flzd2zz__r4_numbers_6_5_flonumz00(double, double);
BGL_EXPORTED_DECL double BGl_zd2flzd2zz__r4_numbers_6_5_flonumz00(double, double);
static obj_t BGl__zb2fl1632zb2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
static obj_t BGl__sqrtflzd2ur1686zd2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
extern double bgl_ieee_string_to_double(obj_t);
extern obj_t real_to_string(double);
BGL_EXPORTED_DECL double BGl_za2flza2zz__r4_numbers_6_5_flonumz00(double, double);
BGL_EXPORTED_DECL double BGl_floorflz00zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl__atanzd21fl1678zd2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_zd3flzd3zz__r4_numbers_6_5_flonumz00(double, double);
static obj_t BGl__za2fl1636za2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
static obj_t BGl__positiveflzf31628zf3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_sqrtflz00zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl__atanfl1676z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
static obj_t BGl__acosfl1674z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
static obj_t BGl__atanzd22fl1680zd2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_minflz00zz__r4_numbers_6_5_flonumz00(double, obj_t);
static obj_t BGl__flonumzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
static obj_t BGl__negfl1640z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_negflz00zz__r4_numbers_6_5_flonumz00(double);
BGL_EXPORTED_DECL double BGl_truncateflz00zz__r4_numbers_6_5_flonumz00(double);
BGL_EXPORTED_DECL bool_t BGl_flonumzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t);
BGL_EXPORTED_DECL double BGl_absflz00zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl__negativeflzf31630zf3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__r4_numbers_6_5_flonumz00();
static obj_t BGl__doublezd2ze3ieeezd2string1700ze3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
static obj_t BGl__realzd2ze3string1692z31zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_atanzd22flzd2urz00zz__r4_numbers_6_5_flonumz00(double, double);
static obj_t BGl__maxfl1642z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
static obj_t BGl__sinfl1666z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
static obj_t BGl__sqrtfl1684z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
static obj_t BGl__atanzd22flzd2ur1682z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_positiveflzf3zf3zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl__truncatefl1656z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
static obj_t BGl__maxzd22fl1644zd2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_logflz00zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl__stringzd2ze3real1690z31zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_zb2flzb2zz__r4_numbers_6_5_flonumz00(double, double);
BGL_EXPORTED_DECL bool_t BGl_ze3flze3zz__r4_numbers_6_5_flonumz00(double, double);
BGL_EXPORTED_DECL bool_t BGl_za7eroflzf3z54zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl__ieeezd2stringzd2ze3double1698ze3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_expflz00zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl__roundfl1658z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
static obj_t BGl__ze3zd3fl1624z30zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
static obj_t BGl__exptfl1688z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
static obj_t BGl__zc3zd3fl1622z10zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
static obj_t BGl__ieeezd2stringzd2ze3float1702ze3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_cosflz00zz__r4_numbers_6_5_flonumz00(double);
BGL_EXPORTED_DECL double BGl_maxflz00zz__r4_numbers_6_5_flonumz00(double, obj_t);
static obj_t BGl__realzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
static obj_t BGl__absfl1650z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_acosflz00zz__r4_numbers_6_5_flonumz00(double);
BGL_EXPORTED_DECL double BGl_exptflz00zz__r4_numbers_6_5_flonumz00(double, double);
BGL_EXPORTED_DECL double BGl_stringzd2ze3realz31zz__r4_numbers_6_5_flonumz00(char *);
BGL_EXPORTED_DECL double BGl_ieeezd2stringzd2ze3doubleze3zz__r4_numbers_6_5_flonumz00(obj_t);
static obj_t BGl__asinfl1672z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ze3zd3flz30zz__r4_numbers_6_5_flonumz00(double, double);
BGL_EXPORTED_DECL float BGl_ieeezd2stringzd2ze3floatze3zz__r4_numbers_6_5_flonumz00(obj_t);
static obj_t BGl__za7eroflzf31626z54zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_zf2flzf2zz__r4_numbers_6_5_flonumz00(double, double);
BGL_EXPORTED_DECL obj_t BGl_ieeezd2stringzd2ze3realze3zz__r4_numbers_6_5_flonumz00(obj_t);
BGL_EXPORTED_DECL double BGl_ceilingflz00zz__r4_numbers_6_5_flonumz00(double);
BGL_EXPORTED_DECL obj_t BGl_realzd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(obj_t);
BGL_EXPORTED_DECL double BGl_atanzd21flzd2zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl__remainderfl1660z00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_realzd2ze3stringz31zz__r4_numbers_6_5_flonumz00(obj_t);
BGL_EXPORTED_DECL double BGl_tanflz00zz__r4_numbers_6_5_flonumz00(double);
BGL_EXPORTED_DECL bool_t BGl_zc3flzc3zz__r4_numbers_6_5_flonumz00(double, double);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_remainderflzd2envzd2zz__r4_numbers_6_5_flonumz00, BgL_bgl__remainderfl1660za700za7za7__r4_numbers_6_5_flonumza7001826z00, BGl__remainderfl1660z00zz__r4_numbers_6_5_flonumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00, BgL_bgl__za7d2fl1634za7d2za7za7__r4_numbers_6_5_flonumza7001827za7, BGl__zd2fl1634zd2zz__r4_numbers_6_5_flonumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00, BgL_bgl__za7e3fl1620za7e3za7za7__r4_numbers_6_5_flonumza7001828za7, BGl__ze3fl1620ze3zz__r4_numbers_6_5_flonumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_sinflzd2envzd2zz__r4_numbers_6_5_flonumz00, BgL_bgl__sinfl1666za700za7za7__r4_numbers_6_5_flonumza7001829z00, BGl__sinfl1666z00zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_flonumzf3zd2envz21zz__r4_numbers_6_5_flonumz00, BgL_bgl__flonumza7f3za7f3za7za7__r4_numbers_6_5_flonumza7001830za7, BGl__flonumzf3zf3zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_exptflzd2envzd2zz__r4_numbers_6_5_flonumz00, BgL_bgl__exptfl1688za700za7za7__r4_numbers_6_5_flonumza7001831z00, BGl__exptfl1688z00zz__r4_numbers_6_5_flonumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00, BgL_bgl__za7d3fl1616za7d3za7za7__r4_numbers_6_5_flonumza7001832za7, BGl__zd3fl1616zd3zz__r4_numbers_6_5_flonumz00, 0L, 2 );
DEFINE_REAL( BGl_real1819z00zz__r4_numbers_6_5_flonumz00, BgL_bgl_real1819za700za7za7__r4_numbers_6_5_flonumza7001833z00, 0.0 );
DEFINE_EXPORT_PROCEDURE( BGl_atanzd21flzd2envz00zz__r4_numbers_6_5_flonumz00, BgL_bgl__atanza7d21fl1678za7d2za7za7__r4_numbers_6_5_flonumza7001834za7, BGl__atanzd21fl1678zd2zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00, BgL_bgl__za7b2fl1632za7b2za7za7__r4_numbers_6_5_flonumza7001835za7, BGl__zb2fl1632zb2zz__r4_numbers_6_5_flonumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00, BgL_bgl__za7c3fl1618za7c3za7za7__r4_numbers_6_5_flonumza7001836za7, BGl__zc3fl1618zc3zz__r4_numbers_6_5_flonumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_maxflzd2envzd2zz__r4_numbers_6_5_flonumz00, BgL_bgl__maxfl1642za700za7za7__r4_numbers_6_5_flonumza7001837z00, va_generic_entry, BGl__maxfl1642z00zz__r4_numbers_6_5_flonumz00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_ieeezd2stringzd2ze3realzd2envz31zz__r4_numbers_6_5_flonumz00, BgL_bgl__ieeeza7d2stringza7d2za7e3real1694za7e3za7za7__r4_numbers_6_5_flonumza7001838za7, BGl__ieeezd2stringzd2ze3real1694ze3zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_atanzd22flzd2envz00zz__r4_numbers_6_5_flonumz00, BgL_bgl__atanza7d22fl1680za7d2za7za7__r4_numbers_6_5_flonumza7001839za7, BGl__atanzd22fl1680zd2zz__r4_numbers_6_5_flonumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_atanflzd2envzd2zz__r4_numbers_6_5_flonumz00, BgL_bgl__atanfl1676za700za7za7__r4_numbers_6_5_flonumza7001840z00, va_generic_entry, BGl__atanfl1676z00zz__r4_numbers_6_5_flonumz00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_realzd2ze3ieeezd2stringzd2envz31zz__r4_numbers_6_5_flonumz00, BgL_bgl__realza7d2za7e3ieeeza7d2string1696za7e3za7za7__r4_numbers_6_5_flonumza7001841za7, BGl__realzd2ze3ieeezd2string1696ze3zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00, BgL_bgl__za7a2fl1636za7a2za7za7__r4_numbers_6_5_flonumza7001842za7, BGl__za2fl1636za2zz__r4_numbers_6_5_flonumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_realzd2ze3stringzd2envze3zz__r4_numbers_6_5_flonumz00, BgL_bgl__realza7d2za7e3string1692za731za7za7__r4_numbers_6_5_flonumza7001843z00, BGl__realzd2ze3string1692z31zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_roundflzd2envzd2zz__r4_numbers_6_5_flonumz00, BgL_bgl__roundfl1658za700za7za7__r4_numbers_6_5_flonumza7001844z00, BGl__roundfl1658z00zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_negflzd2envzd2zz__r4_numbers_6_5_flonumz00, BgL_bgl__negfl1640za700za7za7__r4_numbers_6_5_flonumza7001845z00, BGl__negfl1640z00zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_realzf3zd2envz21zz__r4_numbers_6_5_flonumz00, BgL_bgl__realza7f3za7f3za7za7__r4_numbers_6_5_flonumza7001846za7, BGl__realzf3zf3zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2ze3realzd2envze3zz__r4_numbers_6_5_flonumz00, BgL_bgl__stringza7d2za7e3real1690za731za7za7__r4_numbers_6_5_flonumza7001847z00, BGl__stringzd2ze3real1690z31zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ieeezd2stringzd2ze3floatzd2envz31zz__r4_numbers_6_5_flonumz00, BgL_bgl__ieeeza7d2stringza7d2za7e3float1702za7e3za7za7__r4_numbers_6_5_flonumza7001848za7, BGl__ieeezd2stringzd2ze3float1702ze3zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00, BgL_bgl__za7e3za7d3fl1624za730za7za7__r4_numbers_6_5_flonumza7001849z00, BGl__ze3zd3fl1624z30zz__r4_numbers_6_5_flonumz00, 0L, 2 );
DEFINE_STRING( BGl_string1820z00zz__r4_numbers_6_5_flonumz00, BgL_bgl_string1820za700za7za7__r4_numbers_6_5_flonumza7001850z00, "sqrtfl", 6 );
DEFINE_STRING( BGl_string1818z00zz__r4_numbers_6_5_flonumz00, BgL_bgl_string1818za700za7za7__r4_numbers_6_5_flonumza7001851z00, "Domain error", 12 );
DEFINE_STRING( BGl_string1817z00zz__r4_numbers_6_5_flonumz00, BgL_bgl_string1817za700za7za7__r4_numbers_6_5_flonumza7001852z00, "atanfl", 6 );
DEFINE_EXPORT_PROCEDURE( BGl_atanzd22flzd2urzd2envzd2zz__r4_numbers_6_5_flonumz00, BgL_bgl__atanza7d22flza7d2ur1682za700za7za7__r4_numbers_6_5_flonumza7001853z00, BGl__atanzd22flzd2ur1682z00zz__r4_numbers_6_5_flonumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_floatzd2ze3ieeezd2stringzd2envz31zz__r4_numbers_6_5_flonumz00, BgL_bgl__floatza7d2za7e3ieeeza7d2string1704za7e3za7za7__r4_numbers_6_5_flonumza7001854za7, BGl__floatzd2ze3ieeezd2string1704ze3zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ceilingflzd2envzd2zz__r4_numbers_6_5_flonumz00, BgL_bgl__ceilingfl1654za700za7za7__r4_numbers_6_5_flonumza7001855z00, BGl__ceilingfl1654z00zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ieeezd2stringzd2ze3doublezd2envz31zz__r4_numbers_6_5_flonumz00, BgL_bgl__ieeeza7d2stringza7d2za7e3double1698za7e3za7za7__r4_numbers_6_5_flonumza7001856za7, BGl__ieeezd2stringzd2ze3double1698ze3zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00, BgL_bgl__za7c3za7d3fl1622za710za7za7__r4_numbers_6_5_flonumza7001857z00, BGl__zc3zd3fl1622z10zz__r4_numbers_6_5_flonumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_positiveflzf3zd2envz21zz__r4_numbers_6_5_flonumz00, BgL_bgl__positiveflza7f31628za7f3za7za7__r4_numbers_6_5_flonumza7001858za7, BGl__positiveflzf31628zf3zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_expflzd2envzd2zz__r4_numbers_6_5_flonumz00, BgL_bgl__expfl1662za700za7za7__r4_numbers_6_5_flonumza7001859z00, BGl__expfl1662z00zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_logflzd2envzd2zz__r4_numbers_6_5_flonumz00, BgL_bgl__logfl1664za700za7za7__r4_numbers_6_5_flonumza7001860z00, BGl__logfl1664z00zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_tanflzd2envzd2zz__r4_numbers_6_5_flonumz00, BgL_bgl__tanfl1670za700za7za7__r4_numbers_6_5_flonumza7001861z00, BGl__tanfl1670z00zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_minflzd2envzd2zz__r4_numbers_6_5_flonumz00, BgL_bgl__minfl1648za700za7za7__r4_numbers_6_5_flonumza7001862z00, va_generic_entry, BGl__minfl1648z00zz__r4_numbers_6_5_flonumz00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_cosflzd2envzd2zz__r4_numbers_6_5_flonumz00, BgL_bgl__cosfl1668za700za7za7__r4_numbers_6_5_flonumza7001863z00, BGl__cosfl1668z00zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_sqrtflzd2urzd2envz00zz__r4_numbers_6_5_flonumz00, BgL_bgl__sqrtflza7d2ur1686za7d2za7za7__r4_numbers_6_5_flonumza7001864za7, BGl__sqrtflzd2ur1686zd2zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_minzd22flzd2envz00zz__r4_numbers_6_5_flonumz00, BgL_bgl__minza7d22fl1646za7d2za7za7__r4_numbers_6_5_flonumza7001865za7, BGl__minzd22fl1646zd2zz__r4_numbers_6_5_flonumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_za7eroflzf3zd2envz86zz__r4_numbers_6_5_flonumz00, BgL_bgl__za7a7eroflza7f31626za754za7za7__r4_numbers_6_5_flonumza7001866z00, BGl__za7eroflzf31626z54zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_negativeflzf3zd2envz21zz__r4_numbers_6_5_flonumz00, BgL_bgl__negativeflza7f31630za7f3za7za7__r4_numbers_6_5_flonumza7001867za7, BGl__negativeflzf31630zf3zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_doublezd2ze3ieeezd2stringzd2envz31zz__r4_numbers_6_5_flonumz00, BgL_bgl__doubleza7d2za7e3ieeeza7d2string1700za7e3za7za7__r4_numbers_6_5_flonumza7001868za7, BGl__doublezd2ze3ieeezd2string1700ze3zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_asinflzd2envzd2zz__r4_numbers_6_5_flonumz00, BgL_bgl__asinfl1672za700za7za7__r4_numbers_6_5_flonumza7001869z00, BGl__asinfl1672z00zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_sqrtflzd2envzd2zz__r4_numbers_6_5_flonumz00, BgL_bgl__sqrtfl1684za700za7za7__r4_numbers_6_5_flonumza7001870z00, BGl__sqrtfl1684z00zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_floorflzd2envzd2zz__r4_numbers_6_5_flonumz00, BgL_bgl__floorfl1652za700za7za7__r4_numbers_6_5_flonumza7001871z00, BGl__floorfl1652z00zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_acosflzd2envzd2zz__r4_numbers_6_5_flonumz00, BgL_bgl__acosfl1674za700za7za7__r4_numbers_6_5_flonumza7001872z00, BGl__acosfl1674z00zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_maxzd22flzd2envz00zz__r4_numbers_6_5_flonumz00, BgL_bgl__maxza7d22fl1644za7d2za7za7__r4_numbers_6_5_flonumza7001873za7, BGl__maxzd22fl1644zd2zz__r4_numbers_6_5_flonumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_absflzd2envzd2zz__r4_numbers_6_5_flonumz00, BgL_bgl__absfl1650za700za7za7__r4_numbers_6_5_flonumza7001874z00, BGl__absfl1650z00zz__r4_numbers_6_5_flonumz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00, BgL_bgl__za7f2fl1638za7f2za7za7__r4_numbers_6_5_flonumza7001875za7, BGl__zf2fl1638zf2zz__r4_numbers_6_5_flonumz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_truncateflzd2envzd2zz__r4_numbers_6_5_flonumz00, BgL_bgl__truncatefl1656za700za7za7__r4_numbers_6_5_flonumza7001876z00, BGl__truncatefl1656z00zz__r4_numbers_6_5_flonumz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long BgL_checksumz00_707, char * BgL_fromz00_708)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00))
{ 
BGl_requirezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00 = 
BBOOL(((bool_t)0)); 
BGl_importedzd2moduleszd2initz00zz__r4_numbers_6_5_flonumz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* real? */
BGL_EXPORTED_DEF bool_t BGl_realzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 217 */
if(
INTEGERP(BgL_objz00_1))
{ /* ./Ieee/flonum.scm 218 */
return ((bool_t)1);}  else 
{ /* ./Ieee/flonum.scm 218 */
return 
REALP(BgL_objz00_1);} } 
}



/* _real? */
obj_t BGl__realzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_522, obj_t BgL_objz00_523)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 217 */
{ /* ./Ieee/flonum.scm 218 */
bool_t BgL_auxz00_716;
if(
INTEGERP(BgL_objz00_523))
{ /* ./Ieee/flonum.scm 218 */
BgL_auxz00_716 = ((bool_t)1)
; }  else 
{ /* ./Ieee/flonum.scm 218 */
BgL_auxz00_716 = 
REALP(BgL_objz00_523)
; } 
return 
BBOOL(BgL_auxz00_716);} } 
}



/* flonum? */
BGL_EXPORTED_DEF bool_t BGl_flonumzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t BgL_objz00_2)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 225 */
return 
REALP(BgL_objz00_2);} 
}



/* _flonum? */
obj_t BGl__flonumzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_524, obj_t BgL_objz00_525)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 225 */
{ /* ./Ieee/flonum.scm 226 */
bool_t BgL_auxz00_722;
BgL_auxz00_722 = 
REALP(BgL_objz00_525); 
return 
BBOOL(BgL_auxz00_722);} } 
}



/* =fl */
BGL_EXPORTED_DEF bool_t BGl_zd3flzd3zz__r4_numbers_6_5_flonumz00(double BgL_r1z00_3, double BgL_r2z00_4)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 231 */
return 
(BgL_r1z00_3==BgL_r2z00_4);} 
}



/* _=fl1616 */
obj_t BGl__zd3fl1616zd3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_526, obj_t BgL_r1z00_527, obj_t BgL_r2z00_528)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 231 */
{ /* ./Ieee/flonum.scm 232 */
bool_t BgL_auxz00_726;
{ /* ./Ieee/flonum.scm 232 */
double BgL_auxz00_729;double BgL_auxz00_727;
BgL_auxz00_729 = 
REAL_TO_DOUBLE(BgL_r2z00_528); 
BgL_auxz00_727 = 
REAL_TO_DOUBLE(BgL_r1z00_527); 
BgL_auxz00_726 = 
(BgL_auxz00_727==BgL_auxz00_729); } 
return 
BBOOL(BgL_auxz00_726);} } 
}



/* <fl */
BGL_EXPORTED_DEF bool_t BGl_zc3flzc3zz__r4_numbers_6_5_flonumz00(double BgL_r1z00_5, double BgL_r2z00_6)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 237 */
return 
(BgL_r1z00_5<BgL_r2z00_6);} 
}



/* _<fl1618 */
obj_t BGl__zc3fl1618zc3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_529, obj_t BgL_r1z00_530, obj_t BgL_r2z00_531)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 237 */
{ /* ./Ieee/flonum.scm 238 */
bool_t BgL_auxz00_734;
{ /* ./Ieee/flonum.scm 238 */
double BgL_auxz00_737;double BgL_auxz00_735;
BgL_auxz00_737 = 
REAL_TO_DOUBLE(BgL_r2z00_531); 
BgL_auxz00_735 = 
REAL_TO_DOUBLE(BgL_r1z00_530); 
BgL_auxz00_734 = 
(BgL_auxz00_735<BgL_auxz00_737); } 
return 
BBOOL(BgL_auxz00_734);} } 
}



/* >fl */
BGL_EXPORTED_DEF bool_t BGl_ze3flze3zz__r4_numbers_6_5_flonumz00(double BgL_r1z00_7, double BgL_r2z00_8)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 243 */
return 
(BgL_r1z00_7>BgL_r2z00_8);} 
}



/* _>fl1620 */
obj_t BGl__ze3fl1620ze3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_532, obj_t BgL_r1z00_533, obj_t BgL_r2z00_534)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 243 */
{ /* ./Ieee/flonum.scm 244 */
bool_t BgL_auxz00_742;
{ /* ./Ieee/flonum.scm 244 */
double BgL_auxz00_745;double BgL_auxz00_743;
BgL_auxz00_745 = 
REAL_TO_DOUBLE(BgL_r2z00_534); 
BgL_auxz00_743 = 
REAL_TO_DOUBLE(BgL_r1z00_533); 
BgL_auxz00_742 = 
(BgL_auxz00_743>BgL_auxz00_745); } 
return 
BBOOL(BgL_auxz00_742);} } 
}



/* <=fl */
BGL_EXPORTED_DEF bool_t BGl_zc3zd3flz10zz__r4_numbers_6_5_flonumz00(double BgL_r1z00_9, double BgL_r2z00_10)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 249 */
return 
(BgL_r1z00_9<=BgL_r2z00_10);} 
}



/* _<=fl1622 */
obj_t BGl__zc3zd3fl1622z10zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_535, obj_t BgL_r1z00_536, obj_t BgL_r2z00_537)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 249 */
{ /* ./Ieee/flonum.scm 250 */
bool_t BgL_auxz00_750;
{ /* ./Ieee/flonum.scm 250 */
double BgL_auxz00_753;double BgL_auxz00_751;
BgL_auxz00_753 = 
REAL_TO_DOUBLE(BgL_r2z00_537); 
BgL_auxz00_751 = 
REAL_TO_DOUBLE(BgL_r1z00_536); 
BgL_auxz00_750 = 
(BgL_auxz00_751<=BgL_auxz00_753); } 
return 
BBOOL(BgL_auxz00_750);} } 
}



/* >=fl */
BGL_EXPORTED_DEF bool_t BGl_ze3zd3flz30zz__r4_numbers_6_5_flonumz00(double BgL_r1z00_11, double BgL_r2z00_12)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 255 */
return 
(BgL_r1z00_11>=BgL_r2z00_12);} 
}



/* _>=fl1624 */
obj_t BGl__ze3zd3fl1624z30zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_538, obj_t BgL_r1z00_539, obj_t BgL_r2z00_540)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 255 */
{ /* ./Ieee/flonum.scm 256 */
bool_t BgL_auxz00_758;
{ /* ./Ieee/flonum.scm 256 */
double BgL_auxz00_761;double BgL_auxz00_759;
BgL_auxz00_761 = 
REAL_TO_DOUBLE(BgL_r2z00_540); 
BgL_auxz00_759 = 
REAL_TO_DOUBLE(BgL_r1z00_539); 
BgL_auxz00_758 = 
(BgL_auxz00_759>=BgL_auxz00_761); } 
return 
BBOOL(BgL_auxz00_758);} } 
}



/* zerofl? */
BGL_EXPORTED_DEF bool_t BGl_za7eroflzf3z54zz__r4_numbers_6_5_flonumz00(double BgL_rz00_13)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 261 */
return 
(BgL_rz00_13==((double)0.0));} 
}



/* _zerofl?1626 */
obj_t BGl__za7eroflzf31626z54zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_541, obj_t BgL_rz00_542)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 261 */
{ /* ./Ieee/flonum.scm 262 */
bool_t BgL_auxz00_766;
{ /* ./Ieee/flonum.scm 262 */
double BgL_auxz00_767;
BgL_auxz00_767 = 
REAL_TO_DOUBLE(BgL_rz00_542); 
BgL_auxz00_766 = 
(BgL_auxz00_767==((double)0.0)); } 
return 
BBOOL(BgL_auxz00_766);} } 
}



/* positivefl? */
BGL_EXPORTED_DEF bool_t BGl_positiveflzf3zf3zz__r4_numbers_6_5_flonumz00(double BgL_rz00_14)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 267 */
return 
(BgL_rz00_14>((double)0.0));} 
}



/* _positivefl?1628 */
obj_t BGl__positiveflzf31628zf3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_543, obj_t BgL_rz00_544)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 267 */
{ /* ./Ieee/flonum.scm 268 */
bool_t BgL_auxz00_772;
{ /* ./Ieee/flonum.scm 268 */
double BgL_auxz00_773;
BgL_auxz00_773 = 
REAL_TO_DOUBLE(BgL_rz00_544); 
BgL_auxz00_772 = 
(BgL_auxz00_773>((double)0.0)); } 
return 
BBOOL(BgL_auxz00_772);} } 
}



/* negativefl? */
BGL_EXPORTED_DEF bool_t BGl_negativeflzf3zf3zz__r4_numbers_6_5_flonumz00(double BgL_rz00_15)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 273 */
return 
(BgL_rz00_15<((double)0.0));} 
}



/* _negativefl?1630 */
obj_t BGl__negativeflzf31630zf3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_545, obj_t BgL_rz00_546)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 273 */
{ /* ./Ieee/flonum.scm 274 */
bool_t BgL_auxz00_778;
{ /* ./Ieee/flonum.scm 274 */
double BgL_auxz00_779;
BgL_auxz00_779 = 
REAL_TO_DOUBLE(BgL_rz00_546); 
BgL_auxz00_778 = 
(BgL_auxz00_779<((double)0.0)); } 
return 
BBOOL(BgL_auxz00_778);} } 
}



/* +fl */
BGL_EXPORTED_DEF double BGl_zb2flzb2zz__r4_numbers_6_5_flonumz00(double BgL_r1z00_16, double BgL_r2z00_17)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 279 */
return 
(BgL_r1z00_16+BgL_r2z00_17);} 
}



/* _+fl1632 */
obj_t BGl__zb2fl1632zb2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_547, obj_t BgL_r1z00_548, obj_t BgL_r2z00_549)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 279 */
{ /* ./Ieee/flonum.scm 280 */
double BgL_auxz00_784;
{ /* ./Ieee/flonum.scm 280 */
double BgL_auxz00_787;double BgL_auxz00_785;
BgL_auxz00_787 = 
REAL_TO_DOUBLE(BgL_r2z00_549); 
BgL_auxz00_785 = 
REAL_TO_DOUBLE(BgL_r1z00_548); 
BgL_auxz00_784 = 
(BgL_auxz00_785+BgL_auxz00_787); } 
return 
DOUBLE_TO_REAL(BgL_auxz00_784);} } 
}



/* -fl */
BGL_EXPORTED_DEF double BGl_zd2flzd2zz__r4_numbers_6_5_flonumz00(double BgL_r1z00_18, double BgL_r2z00_19)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 285 */
return 
(BgL_r1z00_18-BgL_r2z00_19);} 
}



/* _-fl1634 */
obj_t BGl__zd2fl1634zd2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_550, obj_t BgL_r1z00_551, obj_t BgL_r2z00_552)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 285 */
{ /* ./Ieee/flonum.scm 286 */
double BgL_auxz00_792;
{ /* ./Ieee/flonum.scm 286 */
double BgL_auxz00_795;double BgL_auxz00_793;
BgL_auxz00_795 = 
REAL_TO_DOUBLE(BgL_r2z00_552); 
BgL_auxz00_793 = 
REAL_TO_DOUBLE(BgL_r1z00_551); 
BgL_auxz00_792 = 
(BgL_auxz00_793-BgL_auxz00_795); } 
return 
DOUBLE_TO_REAL(BgL_auxz00_792);} } 
}



/* *fl */
BGL_EXPORTED_DEF double BGl_za2flza2zz__r4_numbers_6_5_flonumz00(double BgL_r1z00_20, double BgL_r2z00_21)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 291 */
return 
(BgL_r1z00_20*BgL_r2z00_21);} 
}



/* _*fl1636 */
obj_t BGl__za2fl1636za2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_553, obj_t BgL_r1z00_554, obj_t BgL_r2z00_555)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 291 */
{ /* ./Ieee/flonum.scm 292 */
double BgL_auxz00_800;
{ /* ./Ieee/flonum.scm 292 */
double BgL_auxz00_803;double BgL_auxz00_801;
BgL_auxz00_803 = 
REAL_TO_DOUBLE(BgL_r2z00_555); 
BgL_auxz00_801 = 
REAL_TO_DOUBLE(BgL_r1z00_554); 
BgL_auxz00_800 = 
(BgL_auxz00_801*BgL_auxz00_803); } 
return 
DOUBLE_TO_REAL(BgL_auxz00_800);} } 
}



/* /fl */
BGL_EXPORTED_DEF double BGl_zf2flzf2zz__r4_numbers_6_5_flonumz00(double BgL_r1z00_22, double BgL_r2z00_23)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 297 */
return 
(BgL_r1z00_22/BgL_r2z00_23);} 
}



/* _/fl1638 */
obj_t BGl__zf2fl1638zf2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_556, obj_t BgL_r1z00_557, obj_t BgL_r2z00_558)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 297 */
{ /* ./Ieee/flonum.scm 298 */
double BgL_auxz00_808;
{ /* ./Ieee/flonum.scm 298 */
double BgL_auxz00_811;double BgL_auxz00_809;
BgL_auxz00_811 = 
REAL_TO_DOUBLE(BgL_r2z00_558); 
BgL_auxz00_809 = 
REAL_TO_DOUBLE(BgL_r1z00_557); 
BgL_auxz00_808 = 
(BgL_auxz00_809/BgL_auxz00_811); } 
return 
DOUBLE_TO_REAL(BgL_auxz00_808);} } 
}



/* negfl */
BGL_EXPORTED_DEF double BGl_negflz00zz__r4_numbers_6_5_flonumz00(double BgL_r1z00_24)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 303 */
return 
NEG(BgL_r1z00_24);} 
}



/* _negfl1640 */
obj_t BGl__negfl1640z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_559, obj_t BgL_r1z00_560)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 303 */
{ /* ./Ieee/flonum.scm 304 */
double BgL_auxz00_816;
{ /* ./Ieee/flonum.scm 304 */
double BgL_auxz00_817;
BgL_auxz00_817 = 
REAL_TO_DOUBLE(BgL_r1z00_560); 
BgL_auxz00_816 = 
NEG(BgL_auxz00_817); } 
return 
DOUBLE_TO_REAL(BgL_auxz00_816);} } 
}



/* maxfl */
BGL_EXPORTED_DEF double BGl_maxflz00zz__r4_numbers_6_5_flonumz00(double BgL_r1z00_25, obj_t BgL_rnz00_26)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 309 */
{ 
obj_t BgL_maxz00_285;obj_t BgL_rnz00_286;
{ /* ./Ieee/flonum.scm 310 */
obj_t BgL_auxz00_821;
BgL_maxz00_285 = 
DOUBLE_TO_REAL(BgL_r1z00_25); 
BgL_rnz00_286 = BgL_rnz00_26; 
BgL_loopz00_287:
if(
NULLP(BgL_rnz00_286))
{ /* ./Ieee/flonum.scm 312 */
BgL_auxz00_821 = BgL_maxz00_285
; }  else 
{ /* ./Ieee/flonum.scm 314 */
bool_t BgL_testz00_824;
{ /* ./Ieee/flonum.scm 314 */
double BgL_auxz00_829;double BgL_auxz00_825;
BgL_auxz00_829 = 
REAL_TO_DOUBLE(BgL_maxz00_285); 
{ /* ./Ieee/flonum.scm 314 */
obj_t BgL_auxz00_826;
BgL_auxz00_826 = 
CAR(BgL_rnz00_286); 
BgL_auxz00_825 = 
REAL_TO_DOUBLE(BgL_auxz00_826); } 
BgL_testz00_824 = 
(BgL_auxz00_825>BgL_auxz00_829); } 
if(BgL_testz00_824)
{ 
obj_t BgL_rnz00_834;obj_t BgL_maxz00_832;
BgL_maxz00_832 = 
CAR(BgL_rnz00_286); 
BgL_rnz00_834 = 
CDR(BgL_rnz00_286); 
BgL_rnz00_286 = BgL_rnz00_834; 
BgL_maxz00_285 = BgL_maxz00_832; 
goto BgL_loopz00_287;}  else 
{ 
obj_t BgL_rnz00_836;
BgL_rnz00_836 = 
CDR(BgL_rnz00_286); 
BgL_rnz00_286 = BgL_rnz00_836; 
goto BgL_loopz00_287;} } 
return 
REAL_TO_DOUBLE(BgL_auxz00_821);} } } 
}



/* _maxfl1642 */
obj_t BGl__maxfl1642z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_561, obj_t BgL_r1z00_562, obj_t BgL_rnz00_563)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 309 */
{ /* ./Ieee/flonum.scm 310 */
double BgL_auxz00_840;
BgL_auxz00_840 = 
BGl_maxflz00zz__r4_numbers_6_5_flonumz00(
REAL_TO_DOUBLE(BgL_r1z00_562), BgL_rnz00_563); 
return 
DOUBLE_TO_REAL(BgL_auxz00_840);} } 
}



/* max-2fl */
BGL_EXPORTED_DEF double BGl_maxzd22flzd2zz__r4_numbers_6_5_flonumz00(double BgL_r1z00_27, double BgL_r2z00_28)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 321 */
if(
(BgL_r1z00_27>BgL_r2z00_28))
{ /* ./Ieee/flonum.scm 322 */
return BgL_r1z00_27;}  else 
{ /* ./Ieee/flonum.scm 322 */
return BgL_r2z00_28;} } 
}



/* _max-2fl1644 */
obj_t BGl__maxzd22fl1644zd2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_564, obj_t BgL_r1z00_565, obj_t BgL_r2z00_566)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 321 */
{ /* ./Ieee/flonum.scm 322 */
double BgL_auxz00_846;
{ /* ./Ieee/flonum.scm 322 */
double BgL_r1z00_658;double BgL_r2z00_659;
BgL_r1z00_658 = 
REAL_TO_DOUBLE(BgL_r1z00_565); 
BgL_r2z00_659 = 
REAL_TO_DOUBLE(BgL_r2z00_566); 
if(
(BgL_r1z00_658>BgL_r2z00_659))
{ /* ./Ieee/flonum.scm 322 */
BgL_auxz00_846 = BgL_r1z00_658
; }  else 
{ /* ./Ieee/flonum.scm 322 */
BgL_auxz00_846 = BgL_r2z00_659
; } } 
return 
DOUBLE_TO_REAL(BgL_auxz00_846);} } 
}



/* min-2fl */
BGL_EXPORTED_DEF double BGl_minzd22flzd2zz__r4_numbers_6_5_flonumz00(double BgL_r1z00_29, double BgL_r2z00_30)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 329 */
if(
(BgL_r1z00_29>BgL_r2z00_30))
{ /* ./Ieee/flonum.scm 330 */
return BgL_r2z00_30;}  else 
{ /* ./Ieee/flonum.scm 330 */
return BgL_r1z00_29;} } 
}



/* _min-2fl1646 */
obj_t BGl__minzd22fl1646zd2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_567, obj_t BgL_r1z00_568, obj_t BgL_r2z00_569)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 329 */
{ /* ./Ieee/flonum.scm 330 */
double BgL_auxz00_854;
{ /* ./Ieee/flonum.scm 330 */
double BgL_r1z00_660;double BgL_r2z00_661;
BgL_r1z00_660 = 
REAL_TO_DOUBLE(BgL_r1z00_568); 
BgL_r2z00_661 = 
REAL_TO_DOUBLE(BgL_r2z00_569); 
if(
(BgL_r1z00_660>BgL_r2z00_661))
{ /* ./Ieee/flonum.scm 330 */
BgL_auxz00_854 = BgL_r2z00_661
; }  else 
{ /* ./Ieee/flonum.scm 330 */
BgL_auxz00_854 = BgL_r1z00_660
; } } 
return 
DOUBLE_TO_REAL(BgL_auxz00_854);} } 
}



/* minfl */
BGL_EXPORTED_DEF double BGl_minflz00zz__r4_numbers_6_5_flonumz00(double BgL_r1z00_31, obj_t BgL_rnz00_32)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 337 */
{ 
obj_t BgL_minz00_296;obj_t BgL_rnz00_297;
{ /* ./Ieee/flonum.scm 338 */
obj_t BgL_auxz00_860;
BgL_minz00_296 = 
DOUBLE_TO_REAL(BgL_r1z00_31); 
BgL_rnz00_297 = BgL_rnz00_32; 
BgL_loopz00_298:
if(
NULLP(BgL_rnz00_297))
{ /* ./Ieee/flonum.scm 340 */
BgL_auxz00_860 = BgL_minz00_296
; }  else 
{ /* ./Ieee/flonum.scm 342 */
bool_t BgL_testz00_863;
{ /* ./Ieee/flonum.scm 342 */
double BgL_auxz00_868;double BgL_auxz00_864;
BgL_auxz00_868 = 
REAL_TO_DOUBLE(BgL_minz00_296); 
{ /* ./Ieee/flonum.scm 342 */
obj_t BgL_auxz00_865;
BgL_auxz00_865 = 
CAR(BgL_rnz00_297); 
BgL_auxz00_864 = 
REAL_TO_DOUBLE(BgL_auxz00_865); } 
BgL_testz00_863 = 
(BgL_auxz00_864<BgL_auxz00_868); } 
if(BgL_testz00_863)
{ 
obj_t BgL_rnz00_873;obj_t BgL_minz00_871;
BgL_minz00_871 = 
CAR(BgL_rnz00_297); 
BgL_rnz00_873 = 
CDR(BgL_rnz00_297); 
BgL_rnz00_297 = BgL_rnz00_873; 
BgL_minz00_296 = BgL_minz00_871; 
goto BgL_loopz00_298;}  else 
{ 
obj_t BgL_rnz00_875;
BgL_rnz00_875 = 
CDR(BgL_rnz00_297); 
BgL_rnz00_297 = BgL_rnz00_875; 
goto BgL_loopz00_298;} } 
return 
REAL_TO_DOUBLE(BgL_auxz00_860);} } } 
}



/* _minfl1648 */
obj_t BGl__minfl1648z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_570, obj_t BgL_r1z00_571, obj_t BgL_rnz00_572)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 337 */
{ /* ./Ieee/flonum.scm 338 */
double BgL_auxz00_879;
BgL_auxz00_879 = 
BGl_minflz00zz__r4_numbers_6_5_flonumz00(
REAL_TO_DOUBLE(BgL_r1z00_571), BgL_rnz00_572); 
return 
DOUBLE_TO_REAL(BgL_auxz00_879);} } 
}



/* absfl */
BGL_EXPORTED_DEF double BGl_absflz00zz__r4_numbers_6_5_flonumz00(double BgL_rz00_33)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 349 */
if(
(BgL_rz00_33<((double)0.0)))
{ /* ./Ieee/flonum.scm 350 */
return 
NEG(BgL_rz00_33);}  else 
{ /* ./Ieee/flonum.scm 350 */
return BgL_rz00_33;} } 
}



/* _absfl1650 */
obj_t BGl__absfl1650z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_573, obj_t BgL_rz00_574)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 349 */
{ /* ./Ieee/flonum.scm 350 */
double BgL_auxz00_886;
{ /* ./Ieee/flonum.scm 350 */
double BgL_rz00_662;
BgL_rz00_662 = 
REAL_TO_DOUBLE(BgL_rz00_574); 
if(
(BgL_rz00_662<((double)0.0)))
{ /* ./Ieee/flonum.scm 350 */
BgL_auxz00_886 = 
NEG(BgL_rz00_662)
; }  else 
{ /* ./Ieee/flonum.scm 350 */
BgL_auxz00_886 = BgL_rz00_662
; } } 
return 
DOUBLE_TO_REAL(BgL_auxz00_886);} } 
}



/* floorfl */
BGL_EXPORTED_DEF double BGl_floorflz00zz__r4_numbers_6_5_flonumz00(double BgL_rz00_34)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 357 */
return 
floor(BgL_rz00_34);} 
}



/* _floorfl1652 */
obj_t BGl__floorfl1652z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_575, obj_t BgL_rz00_576)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 357 */
{ /* ./Ieee/flonum.scm 358 */
double BgL_auxz00_893;
{ /* ./Ieee/flonum.scm 358 */
double BgL_rz00_663;
BgL_rz00_663 = 
REAL_TO_DOUBLE(BgL_rz00_576); 
BgL_auxz00_893 = 
floor(BgL_rz00_663); } 
return 
DOUBLE_TO_REAL(BgL_auxz00_893);} } 
}



/* ceilingfl */
BGL_EXPORTED_DEF double BGl_ceilingflz00zz__r4_numbers_6_5_flonumz00(double BgL_rz00_35)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 363 */
return 
ceil(BgL_rz00_35);} 
}



/* _ceilingfl1654 */
obj_t BGl__ceilingfl1654z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_577, obj_t BgL_rz00_578)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 363 */
{ /* ./Ieee/flonum.scm 364 */
double BgL_auxz00_898;
{ /* ./Ieee/flonum.scm 364 */
double BgL_rz00_664;
BgL_rz00_664 = 
REAL_TO_DOUBLE(BgL_rz00_578); 
BgL_auxz00_898 = 
ceil(BgL_rz00_664); } 
return 
DOUBLE_TO_REAL(BgL_auxz00_898);} } 
}



/* truncatefl */
BGL_EXPORTED_DEF double BGl_truncateflz00zz__r4_numbers_6_5_flonumz00(double BgL_rz00_36)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 369 */
if(
(BgL_rz00_36<((double)0.0)))
{ /* ./Ieee/flonum.scm 370 */
return 
ceil(BgL_rz00_36);}  else 
{ /* ./Ieee/flonum.scm 370 */
return 
floor(BgL_rz00_36);} } 
}



/* _truncatefl1656 */
obj_t BGl__truncatefl1656z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_579, obj_t BgL_rz00_580)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 369 */
{ /* ./Ieee/flonum.scm 370 */
double BgL_auxz00_906;
{ /* ./Ieee/flonum.scm 370 */
double BgL_rz00_665;
BgL_rz00_665 = 
REAL_TO_DOUBLE(BgL_rz00_580); 
if(
(BgL_rz00_665<((double)0.0)))
{ /* ./Ieee/flonum.scm 370 */
BgL_auxz00_906 = 
ceil(BgL_rz00_665)
; }  else 
{ /* ./Ieee/flonum.scm 370 */
BgL_auxz00_906 = 
floor(BgL_rz00_665)
; } } 
return 
DOUBLE_TO_REAL(BgL_auxz00_906);} } 
}



/* roundfl */
BGL_EXPORTED_DEF double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double BgL_rz00_37)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 377 */
{ /* ./Ieee/flonum.scm 378 */
double BgL_intz00_307;
BgL_intz00_307 = 
floor(BgL_rz00_37); 
{ /* ./Ieee/flonum.scm 378 */
double BgL_fracz00_308;
BgL_fracz00_308 = 
(BgL_rz00_37-BgL_intz00_307); 
{ /* ./Ieee/flonum.scm 379 */

if(
(BgL_fracz00_308<((double)0.5)))
{ /* ./Ieee/flonum.scm 380 */
return BgL_intz00_307;}  else 
{ /* ./Ieee/flonum.scm 380 */
if(
(BgL_fracz00_308>((double)0.5)))
{ /* ./Ieee/flonum.scm 381 */
return 
(BgL_intz00_307+((double)1.0));}  else 
{ /* ./Ieee/flonum.scm 381 */
{ /* ./Ieee/flonum.scm 382 */
double BgL_arg1076z00_312;
{ /* ./Ieee/flonum.scm 382 */
double BgL_auxz00_920;
BgL_auxz00_920 = 
(BgL_intz00_307/((double)2.0)); 
BgL_arg1076z00_312 = 
ceil(BgL_auxz00_920); } 
return 
(((double)2.0)*BgL_arg1076z00_312);} } } } } } } 
}



/* _roundfl1658 */
obj_t BGl__roundfl1658z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_581, obj_t BgL_rz00_582)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 377 */
{ /* ./Ieee/flonum.scm 378 */
double BgL_auxz00_924;
BgL_auxz00_924 = 
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
REAL_TO_DOUBLE(BgL_rz00_582)); 
return 
DOUBLE_TO_REAL(BgL_auxz00_924);} } 
}



/* remainderfl */
BGL_EXPORTED_DEF double BGl_remainderflz00zz__r4_numbers_6_5_flonumz00(double BgL_n1z00_38, double BgL_n2z00_39)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 387 */
return 
fmod(BgL_n1z00_38, BgL_n2z00_39);} 
}



/* _remainderfl1660 */
obj_t BGl__remainderfl1660z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_583, obj_t BgL_n1z00_584, obj_t BgL_n2z00_585)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 387 */
{ /* ./Ieee/flonum.scm 388 */
double BgL_auxz00_929;
{ /* ./Ieee/flonum.scm 388 */
double BgL_n1z00_666;double BgL_n2z00_667;
BgL_n1z00_666 = 
REAL_TO_DOUBLE(BgL_n1z00_584); 
BgL_n2z00_667 = 
REAL_TO_DOUBLE(BgL_n2z00_585); 
BgL_auxz00_929 = 
fmod(BgL_n1z00_666, BgL_n2z00_667); } 
return 
DOUBLE_TO_REAL(BgL_auxz00_929);} } 
}



/* expfl */
BGL_EXPORTED_DEF double BGl_expflz00zz__r4_numbers_6_5_flonumz00(double BgL_xz00_40)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 393 */
return 
exp(BgL_xz00_40);} 
}



/* _expfl1662 */
obj_t BGl__expfl1662z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_586, obj_t BgL_xz00_587)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 393 */
{ /* ./Ieee/flonum.scm 394 */
double BgL_auxz00_935;
{ /* ./Ieee/flonum.scm 394 */
double BgL_auxz00_936;
BgL_auxz00_936 = 
REAL_TO_DOUBLE(BgL_xz00_587); 
BgL_auxz00_935 = 
exp(BgL_auxz00_936); } 
return 
DOUBLE_TO_REAL(BgL_auxz00_935);} } 
}



/* logfl */
BGL_EXPORTED_DEF double BGl_logflz00zz__r4_numbers_6_5_flonumz00(double BgL_xz00_41)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 399 */
return 
log(BgL_xz00_41);} 
}



/* _logfl1664 */
obj_t BGl__logfl1664z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_588, obj_t BgL_xz00_589)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 399 */
{ /* ./Ieee/flonum.scm 400 */
double BgL_auxz00_941;
{ /* ./Ieee/flonum.scm 400 */
double BgL_auxz00_942;
BgL_auxz00_942 = 
REAL_TO_DOUBLE(BgL_xz00_589); 
BgL_auxz00_941 = 
log(BgL_auxz00_942); } 
return 
DOUBLE_TO_REAL(BgL_auxz00_941);} } 
}



/* sinfl */
BGL_EXPORTED_DEF double BGl_sinflz00zz__r4_numbers_6_5_flonumz00(double BgL_xz00_42)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 405 */
return 
sin(BgL_xz00_42);} 
}



/* _sinfl1666 */
obj_t BGl__sinfl1666z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_590, obj_t BgL_xz00_591)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 405 */
{ /* ./Ieee/flonum.scm 406 */
double BgL_auxz00_947;
{ /* ./Ieee/flonum.scm 406 */
double BgL_auxz00_948;
BgL_auxz00_948 = 
REAL_TO_DOUBLE(BgL_xz00_591); 
BgL_auxz00_947 = 
sin(BgL_auxz00_948); } 
return 
DOUBLE_TO_REAL(BgL_auxz00_947);} } 
}



/* cosfl */
BGL_EXPORTED_DEF double BGl_cosflz00zz__r4_numbers_6_5_flonumz00(double BgL_xz00_43)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 411 */
return 
cos(BgL_xz00_43);} 
}



/* _cosfl1668 */
obj_t BGl__cosfl1668z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_592, obj_t BgL_xz00_593)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 411 */
{ /* ./Ieee/flonum.scm 412 */
double BgL_auxz00_953;
{ /* ./Ieee/flonum.scm 412 */
double BgL_auxz00_954;
BgL_auxz00_954 = 
REAL_TO_DOUBLE(BgL_xz00_593); 
BgL_auxz00_953 = 
cos(BgL_auxz00_954); } 
return 
DOUBLE_TO_REAL(BgL_auxz00_953);} } 
}



/* tanfl */
BGL_EXPORTED_DEF double BGl_tanflz00zz__r4_numbers_6_5_flonumz00(double BgL_xz00_44)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 417 */
return 
tan(BgL_xz00_44);} 
}



/* _tanfl1670 */
obj_t BGl__tanfl1670z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_594, obj_t BgL_xz00_595)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 417 */
{ /* ./Ieee/flonum.scm 418 */
double BgL_auxz00_959;
{ /* ./Ieee/flonum.scm 418 */
double BgL_auxz00_960;
BgL_auxz00_960 = 
REAL_TO_DOUBLE(BgL_xz00_595); 
BgL_auxz00_959 = 
tan(BgL_auxz00_960); } 
return 
DOUBLE_TO_REAL(BgL_auxz00_959);} } 
}



/* asinfl */
BGL_EXPORTED_DEF double BGl_asinflz00zz__r4_numbers_6_5_flonumz00(double BgL_xz00_45)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 423 */
return 
asin(BgL_xz00_45);} 
}



/* _asinfl1672 */
obj_t BGl__asinfl1672z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_596, obj_t BgL_xz00_597)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 423 */
{ /* ./Ieee/flonum.scm 424 */
double BgL_auxz00_965;
{ /* ./Ieee/flonum.scm 424 */
double BgL_auxz00_966;
BgL_auxz00_966 = 
REAL_TO_DOUBLE(BgL_xz00_597); 
BgL_auxz00_965 = 
asin(BgL_auxz00_966); } 
return 
DOUBLE_TO_REAL(BgL_auxz00_965);} } 
}



/* acosfl */
BGL_EXPORTED_DEF double BGl_acosflz00zz__r4_numbers_6_5_flonumz00(double BgL_xz00_46)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 429 */
return 
acos(BgL_xz00_46);} 
}



/* _acosfl1674 */
obj_t BGl__acosfl1674z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_598, obj_t BgL_xz00_599)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 429 */
{ /* ./Ieee/flonum.scm 430 */
double BgL_auxz00_971;
{ /* ./Ieee/flonum.scm 430 */
double BgL_auxz00_972;
BgL_auxz00_972 = 
REAL_TO_DOUBLE(BgL_xz00_599); 
BgL_auxz00_971 = 
acos(BgL_auxz00_972); } 
return 
DOUBLE_TO_REAL(BgL_auxz00_971);} } 
}



/* atanfl */
BGL_EXPORTED_DEF double BGl_atanflz00zz__r4_numbers_6_5_flonumz00(double BgL_xz00_47, obj_t BgL_yz00_48)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 435 */
if(
NULLP(BgL_yz00_48))
{ /* ./Ieee/flonum.scm 436 */
return 
atan(BgL_xz00_47);}  else 
{ /* ./Ieee/flonum.scm 436 */
obj_t BgL_yz00_496;
BgL_yz00_496 = 
CAR(BgL_yz00_48); 
{ /* ./Ieee/flonum.scm 436 */
double BgL_yz00_500;
BgL_yz00_500 = 
REAL_TO_DOUBLE(BgL_yz00_496); 
return 
atan2(BgL_xz00_47, BgL_yz00_500);} } } 
}



/* _atanfl1676 */
obj_t BGl__atanfl1676z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_600, obj_t BgL_xz00_601, obj_t BgL_yz00_602)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 435 */
{ /* ./Ieee/flonum.scm 436 */
double BgL_auxz00_982;
BgL_auxz00_982 = 
BGl_atanflz00zz__r4_numbers_6_5_flonumz00(
REAL_TO_DOUBLE(BgL_xz00_601), BgL_yz00_602); 
return 
DOUBLE_TO_REAL(BgL_auxz00_982);} } 
}



/* atan-1fl */
BGL_EXPORTED_DEF double BGl_atanzd21flzd2zz__r4_numbers_6_5_flonumz00(double BgL_xz00_49)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 444 */
return 
atan(BgL_xz00_49);} 
}



/* _atan-1fl1678 */
obj_t BGl__atanzd21fl1678zd2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_603, obj_t BgL_xz00_604)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 444 */
{ /* ./Ieee/flonum.scm 445 */
double BgL_auxz00_987;
{ /* ./Ieee/flonum.scm 445 */
double BgL_auxz00_988;
BgL_auxz00_988 = 
REAL_TO_DOUBLE(BgL_xz00_604); 
BgL_auxz00_987 = 
atan(BgL_auxz00_988); } 
return 
DOUBLE_TO_REAL(BgL_auxz00_987);} } 
}



/* atan-2fl */
BGL_EXPORTED_DEF double BGl_atanzd22flzd2zz__r4_numbers_6_5_flonumz00(double BgL_xz00_50, double BgL_yz00_51)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 450 */
{ /* ./Ieee/flonum.scm 451 */
bool_t BgL_tz00_676;
if(
(BgL_xz00_50==((double)0.0)))
{ /* ./Ieee/flonum.scm 451 */
BgL_tz00_676 = 
(BgL_yz00_51==((double)0.0)); }  else 
{ /* ./Ieee/flonum.scm 451 */
BgL_tz00_676 = ((bool_t)0); } 
if(BgL_tz00_676)
{ /* ./Ieee/flonum.scm 451 */
the_failure(BGl_string1817z00zz__r4_numbers_6_5_flonumz00, BGl_string1818z00zz__r4_numbers_6_5_flonumz00, BGl_real1819z00zz__r4_numbers_6_5_flonumz00); 
return ((double)0.0);}  else 
{ /* ./Ieee/flonum.scm 451 */
return 
atan2(BgL_xz00_50, BgL_yz00_51);} } } 
}



/* _atan-2fl1680 */
obj_t BGl__atanzd22fl1680zd2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_605, obj_t BgL_xz00_606, obj_t BgL_yz00_607)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 450 */
{ /* ./Ieee/flonum.scm 451 */
double BgL_auxz00_998;
{ /* ./Ieee/flonum.scm 451 */
double BgL_res1821z00_686;
{ /* ./Ieee/flonum.scm 451 */
double BgL_xz00_680;double BgL_yz00_681;
BgL_xz00_680 = 
REAL_TO_DOUBLE(BgL_xz00_606); 
BgL_yz00_681 = 
REAL_TO_DOUBLE(BgL_yz00_607); 
{ /* ./Ieee/flonum.scm 451 */
bool_t BgL_tz00_682;
if(
(BgL_xz00_680==((double)0.0)))
{ /* ./Ieee/flonum.scm 451 */
BgL_tz00_682 = 
(BgL_yz00_681==((double)0.0)); }  else 
{ /* ./Ieee/flonum.scm 451 */
BgL_tz00_682 = ((bool_t)0); } 
if(BgL_tz00_682)
{ /* ./Ieee/flonum.scm 451 */
the_failure(BGl_string1817z00zz__r4_numbers_6_5_flonumz00, BGl_string1818z00zz__r4_numbers_6_5_flonumz00, BGl_real1819z00zz__r4_numbers_6_5_flonumz00); 
BgL_res1821z00_686 = ((double)0.0); }  else 
{ /* ./Ieee/flonum.scm 451 */
BgL_res1821z00_686 = 
atan2(BgL_xz00_680, BgL_yz00_681); } } } 
BgL_auxz00_998 = BgL_res1821z00_686; } 
return 
DOUBLE_TO_REAL(BgL_auxz00_998);} } 
}



/* atan-2fl-ur */
BGL_EXPORTED_DEF double BGl_atanzd22flzd2urz00zz__r4_numbers_6_5_flonumz00(double BgL_xz00_52, double BgL_yz00_53)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 468 */
return 
atan2(BgL_xz00_52, BgL_yz00_53);} 
}



/* _atan-2fl-ur1682 */
obj_t BGl__atanzd22flzd2ur1682z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_608, obj_t BgL_xz00_609, obj_t BgL_yz00_610)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 468 */
{ /* ./Ieee/flonum.scm 469 */
double BgL_auxz00_1009;
{ /* ./Ieee/flonum.scm 469 */
double BgL_xz00_687;double BgL_yz00_688;
BgL_xz00_687 = 
REAL_TO_DOUBLE(BgL_xz00_609); 
BgL_yz00_688 = 
REAL_TO_DOUBLE(BgL_yz00_610); 
BgL_auxz00_1009 = 
atan2(BgL_xz00_687, BgL_yz00_688); } 
return 
DOUBLE_TO_REAL(BgL_auxz00_1009);} } 
}



/* sqrtfl */
BGL_EXPORTED_DEF double BGl_sqrtflz00zz__r4_numbers_6_5_flonumz00(double BgL_rz00_54)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 474 */
if(
(BgL_rz00_54<((double)0.0)))
{ /* ./Ieee/flonum.scm 475 */
obj_t BgL_objz00_691;
BgL_objz00_691 = 
DOUBLE_TO_REAL(BgL_rz00_54); 
FAILURE(BGl_string1820z00zz__r4_numbers_6_5_flonumz00,BGl_string1818z00zz__r4_numbers_6_5_flonumz00,BgL_objz00_691);}  else 
{ /* ./Ieee/flonum.scm 475 */
return 
sqrt(BgL_rz00_54);} } 
}



/* _sqrtfl1684 */
obj_t BGl__sqrtfl1684z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_611, obj_t BgL_rz00_612)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 474 */
{ /* ./Ieee/flonum.scm 475 */
double BgL_auxz00_1019;
{ /* ./Ieee/flonum.scm 475 */
double BgL_rz00_692;
BgL_rz00_692 = 
REAL_TO_DOUBLE(BgL_rz00_612); 
if(
(BgL_rz00_692<((double)0.0)))
{ /* ./Ieee/flonum.scm 475 */
obj_t BgL_objz00_695;
BgL_objz00_695 = 
DOUBLE_TO_REAL(BgL_rz00_692); 
FAILURE(BGl_string1820z00zz__r4_numbers_6_5_flonumz00,BGl_string1818z00zz__r4_numbers_6_5_flonumz00,BgL_objz00_695);}  else 
{ /* ./Ieee/flonum.scm 475 */
BgL_auxz00_1019 = 
sqrt(BgL_rz00_692)
; } } 
return 
DOUBLE_TO_REAL(BgL_auxz00_1019);} } 
}



/* sqrtfl-ur */
BGL_EXPORTED_DEF double BGl_sqrtflzd2urzd2zz__r4_numbers_6_5_flonumz00(double BgL_rz00_55)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 485 */
return 
sqrt(BgL_rz00_55);} 
}



/* _sqrtfl-ur1686 */
obj_t BGl__sqrtflzd2ur1686zd2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_613, obj_t BgL_rz00_614)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 485 */
{ /* ./Ieee/flonum.scm 486 */
double BgL_auxz00_1028;
{ /* ./Ieee/flonum.scm 486 */
double BgL_auxz00_1029;
BgL_auxz00_1029 = 
REAL_TO_DOUBLE(BgL_rz00_614); 
BgL_auxz00_1028 = 
sqrt(BgL_auxz00_1029); } 
return 
DOUBLE_TO_REAL(BgL_auxz00_1028);} } 
}



/* exptfl */
BGL_EXPORTED_DEF double BGl_exptflz00zz__r4_numbers_6_5_flonumz00(double BgL_r1z00_56, double BgL_r2z00_57)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 491 */
return 
pow(BgL_r1z00_56, BgL_r2z00_57);} 
}



/* _exptfl1688 */
obj_t BGl__exptfl1688z00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_615, obj_t BgL_r1z00_616, obj_t BgL_r2z00_617)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 491 */
{ /* ./Ieee/flonum.scm 492 */
double BgL_auxz00_1034;
{ /* ./Ieee/flonum.scm 492 */
double BgL_r1z00_697;double BgL_r2z00_698;
BgL_r1z00_697 = 
REAL_TO_DOUBLE(BgL_r1z00_616); 
BgL_r2z00_698 = 
REAL_TO_DOUBLE(BgL_r2z00_617); 
BgL_auxz00_1034 = 
pow(BgL_r1z00_697, BgL_r2z00_698); } 
return 
DOUBLE_TO_REAL(BgL_auxz00_1034);} } 
}



/* string->real */
BGL_EXPORTED_DEF double BGl_stringzd2ze3realz31zz__r4_numbers_6_5_flonumz00(char * BgL_stringz00_58)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 497 */
return 
strtod(BgL_stringz00_58, ((long)0));} 
}



/* _string->real1690 */
obj_t BGl__stringzd2ze3real1690z31zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_618, obj_t BgL_stringz00_619)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 497 */
{ /* ./Ieee/flonum.scm 498 */
double BgL_auxz00_1040;
{ /* ./Ieee/flonum.scm 498 */
char * BgL_auxz00_1041;
BgL_auxz00_1041 = 
BSTRING_TO_STRING(BgL_stringz00_619); 
BgL_auxz00_1040 = 
strtod(BgL_auxz00_1041, ((long)0)); } 
return 
DOUBLE_TO_REAL(BgL_auxz00_1040);} } 
}



/* real->string */
BGL_EXPORTED_DEF obj_t BGl_realzd2ze3stringz31zz__r4_numbers_6_5_flonumz00(obj_t BgL_realz00_59)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 503 */
{ /* ./Ieee/flonum.scm 504 */
double BgL_auxz00_1045;
BgL_auxz00_1045 = 
REAL_TO_DOUBLE(BgL_realz00_59); 
return 
real_to_string(BgL_auxz00_1045);} } 
}



/* _real->string1692 */
obj_t BGl__realzd2ze3string1692z31zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_620, obj_t BgL_realz00_621)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 503 */
{ /* ./Ieee/flonum.scm 504 */
double BgL_auxz00_1048;
BgL_auxz00_1048 = 
REAL_TO_DOUBLE(BgL_realz00_621); 
return 
real_to_string(BgL_auxz00_1048);} } 
}



/* ieee-string->real */
BGL_EXPORTED_DEF obj_t BGl_ieeezd2stringzd2ze3realze3zz__r4_numbers_6_5_flonumz00(obj_t BgL_stringz00_60)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 509 */
{ /* ./Ieee/flonum.scm 510 */
double BgL_auxz00_1051;
BgL_auxz00_1051 = 
bgl_ieee_string_to_double(BgL_stringz00_60); 
return 
DOUBLE_TO_REAL(BgL_auxz00_1051);} } 
}



/* _ieee-string->real1694 */
obj_t BGl__ieeezd2stringzd2ze3real1694ze3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_622, obj_t BgL_stringz00_623)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 509 */
{ /* ./Ieee/flonum.scm 510 */
double BgL_auxz00_1054;
BgL_auxz00_1054 = 
bgl_ieee_string_to_double(BgL_stringz00_623); 
return 
DOUBLE_TO_REAL(BgL_auxz00_1054);} } 
}



/* real->ieee-string */
BGL_EXPORTED_DEF obj_t BGl_realzd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(obj_t BgL_realz00_61)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 515 */
{ /* ./Ieee/flonum.scm 516 */
double BgL_auxz00_1057;
BgL_auxz00_1057 = 
REAL_TO_DOUBLE(BgL_realz00_61); 
return 
bgl_double_to_ieee_string(BgL_auxz00_1057);} } 
}



/* _real->ieee-string1696 */
obj_t BGl__realzd2ze3ieeezd2string1696ze3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_624, obj_t BgL_realz00_625)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 515 */
{ /* ./Ieee/flonum.scm 516 */
double BgL_auxz00_1060;
BgL_auxz00_1060 = 
REAL_TO_DOUBLE(BgL_realz00_625); 
return 
bgl_double_to_ieee_string(BgL_auxz00_1060);} } 
}



/* ieee-string->double */
BGL_EXPORTED_DEF double BGl_ieeezd2stringzd2ze3doubleze3zz__r4_numbers_6_5_flonumz00(obj_t BgL_stringz00_62)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 521 */
return 
bgl_ieee_string_to_double(BgL_stringz00_62);} 
}



/* _ieee-string->double1698 */
obj_t BGl__ieeezd2stringzd2ze3double1698ze3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_626, obj_t BgL_stringz00_627)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 521 */
{ /* ./Ieee/flonum.scm 522 */
double BgL_auxz00_1064;
BgL_auxz00_1064 = 
bgl_ieee_string_to_double(BgL_stringz00_627); 
return 
DOUBLE_TO_REAL(BgL_auxz00_1064);} } 
}



/* double->ieee-string */
BGL_EXPORTED_DEF obj_t BGl_doublezd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(double BgL_doublez00_63)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 527 */
return 
bgl_double_to_ieee_string(BgL_doublez00_63);} 
}



/* _double->ieee-string1700 */
obj_t BGl__doublezd2ze3ieeezd2string1700ze3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_628, obj_t BgL_doublez00_629)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 527 */
{ /* ./Ieee/flonum.scm 528 */
double BgL_doublez00_704;
BgL_doublez00_704 = 
REAL_TO_DOUBLE(BgL_doublez00_629); 
return 
bgl_double_to_ieee_string(BgL_doublez00_704);} } 
}



/* ieee-string->float */
BGL_EXPORTED_DEF float BGl_ieeezd2stringzd2ze3floatze3zz__r4_numbers_6_5_flonumz00(obj_t BgL_stringz00_64)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 533 */
{ /* ./Ieee/flonum.scm 534 */
double BgL_auxz00_1070;
BgL_auxz00_1070 = 
bgl_ieee_string_to_double(BgL_stringz00_64); 
return 
(float)(BgL_auxz00_1070);} } 
}



/* _ieee-string->float1702 */
obj_t BGl__ieeezd2stringzd2ze3float1702ze3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_630, obj_t BgL_stringz00_631)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 533 */
{ /* ./Ieee/flonum.scm 534 */
float BgL_auxz00_1073;
{ /* ./Ieee/flonum.scm 534 */
double BgL_auxz00_1074;
BgL_auxz00_1074 = 
bgl_ieee_string_to_double(BgL_stringz00_631); 
BgL_auxz00_1073 = 
(float)(BgL_auxz00_1074); } 
return 
FLOAT_TO_REAL(BgL_auxz00_1073);} } 
}



/* float->ieee-string */
BGL_EXPORTED_DEF obj_t BGl_floatzd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(float BgL_floatz00_65)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 539 */
{ /* ./Ieee/flonum.scm 540 */
double BgL_auxz00_1078;
BgL_auxz00_1078 = 
(double)(BgL_floatz00_65); 
return 
bgl_double_to_ieee_string(BgL_auxz00_1078);} } 
}



/* _float->ieee-string1704 */
obj_t BGl__floatzd2ze3ieeezd2string1704ze3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_632, obj_t BgL_floatz00_633)
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 539 */
{ /* ./Ieee/flonum.scm 540 */
float BgL_floatz00_706;
BgL_floatz00_706 = 
REAL_TO_FLOAT(BgL_floatz00_633); 
{ /* ./Ieee/flonum.scm 540 */
double BgL_auxz00_1082;
BgL_auxz00_1082 = 
(double)(BgL_floatz00_706); 
return 
bgl_double_to_ieee_string(BgL_auxz00_1082);} } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__r4_numbers_6_5_flonumz00()
{ AN_OBJECT;
{ /* ./Ieee/flonum.scm 14 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__r4_numbers_6_5_flonum");} 
}

